Subject: Re: bug#19865: tar-untar-buffer: should honor default-directory

From: Eli Zaretskii <[email-masked]>
Date: Tue, 17 Feb 2015 20:02:29 +0200

> From: Wolfgang Jenkner <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked]
> Date: Tue, 17 Feb 2015 18:03:26 +0100
> 
> The shell analogy might be a bit misleading and is perhaps the reason
> why you seem to be talking past each other: Personally, at the shell
> command line, I don't change to the directory holding the tarball,
> instead I change to the directory where I want to extract it, like this
> 
> $ cd ~/src; tar xvf ~/Downloads/foo.tar.gz
> 
> This is quite different from the situation in emacs where
> 
> C-x C-f ~/Downloads/foo.tar.gz
> 
> results in buffers whose default-directory is ~/Downloads, hence the
> reason why doing M-x cd ~/src in the non-hidden buffer should have the
> effect as in the proposed patch.

To solve this problem, I proposed, in the beginning of this thread, to
allow the user to specify a directory where to extract the tarball, by
invoking the command with a prefix argument.